CVE-2018-7226

Source
Severity High
Remote Yes
Type Arbitrary code execution
Description
An issue was discovered in vcSetXCutTextProc() in VNConsole.c in LinuxVNC and VNCommand from the LibVNC/vncterm distribution through 0.9.10. Missing sanitization of the client-specified message length may cause integer overflow or possibly have unspecified other impact via a specially crafted VNC packet.
Group Package Affected Fixed Severity Status Ticket
AVG-628 libvncserver 0.9.11-3 High Vulnerable
References
http://openwall.com/lists/oss-security/2018/02/18/2
https://github.com/LibVNC/vncterm/issues/6